loci.formats.in.LeicaMicrosystemsMetadata

## Class LofXmlDocument

- java.lang.Object
- - loci.formats.in.LeicaMicrosystemsMetadata.LMSXmlDocument
  - - loci.formats.in.LeicaMicrosystemsMetadata.LMSImageXmlDocument
    - - loci.formats.in.LeicaMicrosystemsMetadata.LofXmlDocument

-     public class LofXmlDocument
      extends LMSImageXmlDocument

  This class loads and represents a Leica Microsystems XML document that has been extracted from a LOF file
  Author:
    Constanze Wendlandt constanze.wendlandt at leica-microsystems.com

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class loci.formats.in.LeicaMicrosystemsMetadata.LMSXmlDocument

      `LMSXmlDocument.InitFrom`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `name`

    - ### Fields inherited from class loci.formats.in.LeicaMicrosystemsMetadata.LMSXmlDocument

      `dir, doc, filepath, LOGGER, parent, xPath`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LofXmlDocument(java.lang.String xml, java.lang.String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getImageName()` Returns the name of the image (it might be contained in the XML or otherwise e.g.
    `org.w3c.dom.Node` | `getImageNode()` Returns the image node of the xml document which contains image metadata

    - ### Methods inherited from class loci.formats.in.LeicaMicrosystemsMetadata.LMSXmlDocument

      `fileExists, getAttr, GetChildWithName, getDoc, getFilepath, getParentFiles, nodeToString, parseFilePath, toString, xPath, xPath`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          private java.lang.String name

  - ### Constructor Detail

    - #### LofXmlDocument

          public LofXmlDocument(java.lang.String xml,
                                java.lang.String name)

  - ### Method Detail

    - #### getImageNode

          public org.w3c.dom.Node getImageNode()

      Description copied from class: `LMSImageXmlDocument`
      Returns the image node of the xml document which contains image metadata
      Specified by:
        `getImageNode` in class `LMSImageXmlDocument`

    - #### getImageName

          public java.lang.String getImageName()

      Description copied from class: `LMSImageXmlDocument`
      Returns the name of the image (it might be contained in the XML or otherwise e.g. in the file name)
      Specified by:
        `getImageName` in class `LMSImageXmlDocument`

Copyright © 2026 Open Microscopy Environment